Package org.zkoss.lang

## Class OperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.lang.OperationException

- All Implemented Interfaces:
    `java.io.Serializable`, `Expectable`, `Messageable`, `MessageConst`
  Direct Known Subclasses:
    `PotentialDeadLockException`

      public class OperationException
      extends SystemException
      implements Expectable

  The expectable system exception denoting user's operation errors.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.lang.SystemException

      `SystemException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationException()` |
    `OperationException​(int code)` |
    `OperationException​(int code, java.lang.Object fmtArg)` |
    `OperationException​(int code, java.lang.Object[] fmtArgs)` |
    `OperationException​(int code, java.lang.Object[] fmtArgs, java.lang.Throwable cause)` |
    `OperationException​(int code, java.lang.Object fmtArg, java.lang.Throwable cause)` |
    `OperationException​(int code, java.lang.Throwable cause)` |
    `OperationException​(java.lang.String s)` |
    `OperationException​(java.lang.String msg, java.lang.Throwable cause)` |
    `OperationException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationException

          public OperationException​(java.lang.String msg,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException​(java.lang.String s)

    - #### OperationException

          public OperationException​(java.lang.Throwable cause)

    - #### OperationException

          public OperationException()

    - #### OperationException

          public OperationException​(int code,
                                    java.lang.Object[] fmtArgs,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException​(int code,
                                    java.lang.Object fmtArg,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException​(int code,
                                    java.lang.Object[] fmtArgs)

    - #### OperationException

          public OperationException​(int code,
                                    java.lang.Object fmtArg)

    - #### OperationException

          public OperationException​(int code,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException​(int code)